Problem with update - Aix

This is a discussion on Problem with update - Aix ; # oslevel -s 5300-01-00 I'm having a problem installing an update. I went to http://www14.software.ibm.com/webapp...3&b=5300-05-03 and downloaded all the update files and placed them on my hard drive. I then did 'smit install' went to the update software section and ...

+ Reply to Thread
Results 1 to 3 of 3

Thread: Problem with update

  1. Problem with update

    # oslevel -s
    5300-01-00

    I'm having a problem installing an update. I went to
    http://www14.software.ibm.com/webapp...3&b=5300-05-03
    and downloaded all the update files and placed them on my hard drive. I
    then did 'smit install' went to the update software section and told
    smit where to find the update files. The update fails with this error:
    FILESET STATISTICS
    ------------------
    348 Selected to be installed, of which:
    348 Passed pre-installation verification
    ----
    348 Total to be installed

    0503-409 installp: bosboot verification starting...
    0503-497 installp: An error occurred during bosboot verification
    processing.

    Googling led me to a post to this group back in 1998:
    http://groups.google.com/group/comp....ea1b320d744bf0

    And it looks like my problem is related/the same:
    # ll /unix
    lrwxrwxrwx 1 root system 21 Jul 18 2005 /unix ->
    /usr/lib/boot/unix_64
    # ll /usr/lib/boot/unix_64
    -r-xr-xr-x 1 root system 0 May 08 2006
    /usr/lib/boot/unix_64


    So, should I simply "install the bos.rte.up fileset onto the system
    again?" Would that be the correct fileset name for my version of AIX?
    I'm thinking it should be the bos.mp64 fileset, based on:
    # lslpp -w "/usr/lib/boot/unix_64"
    File Fileset Type

    ----------------------------------------------------------------------------
    /usr/lib/boot/unix_64 bos.mp64 File

    How best to do this?

    Thanks,
    Tim

  2. Re: Problem with update

    Tim Wunder wrote:
    > # oslevel -s
    > 5300-01-00

    ....

    > And it looks like my problem is related/the same:
    > # ll /unix
    > lrwxrwxrwx 1 root system 21 Jul 18 2005 /unix ->
    > /usr/lib/boot/unix_64
    > # ll /usr/lib/boot/unix_64
    > -r-xr-xr-x 1 root system 0 May 08 2006
    > /usr/lib/boot/unix_64


    Reinstall bos.mp64 with the force option or if it the only file
    corrupted just do a restore from the bos.rte fileset.

    So run the following command to see what else is wrong
    $ lppchk -f

    and afterwards fix what looks like corrupted and update the system
    again.

    hth
    Hajo


  3. Re: Problem with update

    On 11/21/2006 11:17 AM, I believe that Hajo Ehlers wrote:
    > Tim Wunder wrote:
    >> # oslevel -s
    >> 5300-01-00

    > ...
    >
    >> And it looks like my problem is related/the same:
    >> # ll /unix
    >> lrwxrwxrwx 1 root system 21 Jul 18 2005 /unix ->
    >> /usr/lib/boot/unix_64
    >> # ll /usr/lib/boot/unix_64
    >> -r-xr-xr-x 1 root system 0 May 08 2006
    >> /usr/lib/boot/unix_64

    >
    > Reinstall bos.mp64 with the force option or if it the only file
    > corrupted just do a restore from the bos.rte fileset.
    >
    > So run the following command to see what else is wrong
    > $ lppchk -f
    >
    > and afterwards fix what looks like corrupted and update the system
    > again.
    >
    > hth
    > Hajo
    >


    Looks like it's just the unix_64 file:
    # lppchk -f
    lppchk: 0504-208 Size of /usr/lib/boot/unix_64 is 0,
    expected value was 12380485.

    OK... This is what I've done:
    # restore -qxvf /mnt/cdrom/installp/ppc/bos.mp64
    # cp -p /usr/lib/boot/unix_64 /usr/lib/boot/unix_64.borken
    # cp -p usr/lib/boot/unix_64 /usr/lib/boot/unix_64

    and now:
    # lppchk -f
    #

    So I think it's fixed

    Many thanks,
    Tim

+ Reply to Thread